Subject: Re: DSA Rate Limiting in 88E6390

From: Andrew Lunn <[email-masked]>
Date: Mon, 29 Jul 2019 17:01:58 +0200

On Mon, Jul 29, 2019 at 12:30:20PM +0200, Benjamin Beckmeyer wrote:
> Hi all,
> is there a possibility to set the rate limiting for the 6390 with linux tools?
> I've seen that the driver will init all to zero, so rate limiting is disabled, 
> but there is no solution for it in the ip tool?
> 
> The only thing I found for rate limiting is the tc tool, but I guess this is 
> only a software solution?

Hi Benjamin

In Linux, we accelerate the software solution by offloading it to the
hardware. So TC is what you need here.
 
> Furthermore, does exist a table or a tutorial which functions DSA supports?
> The background is that we are using the DSDT driver (in future maybe the UMSD
> driver) but we would like to switch to the in kernel DSA entirely. And our
> software is using some of the DSDT functions, so I have to find an 
> alternative to these functions.

The DSA framework supports offloading TC. There was some patches a
while back adding ingress rate limiting to one of the DSA drivers, via
TC. I forget which, and i don't think they have been merged yet. If
you can find the patchset, it should give you a good idea how you can
implement support in the mv88e6xxx driver.

	  Andrew